Docs
Search docs...⌘K

Best pages by internal links

API + MCP
GET/v3/site-explorer/pages-by-internal-links

Formerly /best-by-internal-links

Query parameters

selectstringRequired

A comma-separated list of columns to return. See response schema for valid column identifiers.

wherestring

The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the select parameter).

order_bystring

A column to order results by. See the response schema for valid column identifiers, except for http_code_target, languages_target, last_visited_target, powered_by_target, target_redirect, title_target, url_rating_target, which are not supported in order_by for this endpoint.

Example:field_a,field_b:asc,field_c:desc
limitinteger

The number of results to return.

Default:1000
timeoutinteger

A manual timeout duration in seconds.

modestring

The scope of the search based on the target you entered.

Allowed values:exactprefixdomainsubdomains
Default:subdomains
targetstring (url)Required

The target of the search: a domain or a URL.

protocolstring

The protocol of your target.

Allowed values:bothhttphttps
Default:both
outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

pagesarray<object>
canonical_to_targetinteger

The number of inbound canonical links to your target page.

dofollow_to_targetinteger

The number of links to your target page that don’t have the “nofollow” attribute.

first_seen_linkstring (date-time)

The date we first found a link to your target.

http_code_targetinteger or null

The return code from HTTP protocol returned during the target page crawl.

languages_targetarray<string>

The languages listed in the target page metadata or detected by the crawler to appear in the HTML.

last_seenstring (date-time) or null

The date your target page lost its last live link.

last_visited_sourcestring (date-time)

The date we last verified a live link to your target page.

last_visited_targetstring (date-time) or null

The date we last crawled your target page.

links_to_targetinteger

The number of inbound backlinks the target page has.

nofollow_to_targetinteger

The number of links to your target page that have the “nofollow” attribute.

powered_by_targetarray<string>

Web technologies used to build and serve the target page content.

redirects_to_targetinteger

The number of inbound redirects to your target page.

target_redirectstring or null

The target's redirect if any.

title_targetstring or null

The html title of the target page.

url_rating_targetnumber (float) or null

The strength of the target page's backlink profile compared to the others in our database on a 100-point scale.

url_tostring (url)

The URL the backlink points to.

url_to_plainstring

The target page URL optimized for use as a filter.